%% ----- Step 0 -----
%{
  Initial release: 2021-04-18

  Set some of the simulation parameters.
  Also creates the file 'params.mat' to pass some of the parameters to
   functions called later in the sesson.
%}
temp = 293.15;    % Temperature in K
data_dir = 'data\conc';   % Subdirector with the measurement data
meas_plots = [1 3 5 7 9];  % Plot the measurements of these bins.
                           % No plotting if array is empty.
f_bin = 4;  % Frequency bin used for the reconstruction
Nmax = 25;  % Maximum expansion order. '-1' will maximize the maximum
            %  expsnion order while keeping the PSI matrix from being
            %  under-determined based on the number of measurements.

% Save these parameters to 'params.mat' for functions that may not have
%  access to the variables in the main workspace.
cmap = 'jet';  % Colormap used for 3D surface and scatter plots
caxlims = [0 2.5];  % Colormap range limits
save('params.mat', 'cmap', 'caxlims');