function fig1 = grp_plot_meas(x, y, z, freqs, p_meas, n_plots)
% 
% 
if length(n_plots) < 1
    error("Array length of 'n_plots' must be at least 1")
end

if length(n_plots) > length(freqs)
    n_plots = 1:length(freqs);
end

n_rows = floor(sqrt(length(n_plots)));
if mod(length(n_plots), n_rows) > 0
    n_cols = floor(length(n_plots) / n_rows) + 1;
else
    n_cols = length(n_plots) / n_rows;
end

aspect = n_cols / n_rows;
fig1 = figure('Name', 'Selected Measurement Data', ...
              'Position', [100 190 850*aspect 700]);
icount = 1;
for n = n_plots
    ax = subplot(n_rows, n_cols, icount);
    plot_meas(x, y, z, freqs, p_meas, n, ax);
    icount = icount + 1;
end

end