function plot_meas(x, y, z, freqs, p_meas, f_bin, ax)
% Plot the speaker measurements at frequency bin 'f_bin' to axis 'ax'.
%
if ~ishandle(ax)
    error('Axis is not a valid graphics handle.');
end

f = freqs(f_bin);
str_f = sprintf('f = %.0f Hz', f);
scatter3(ax, x, y, z, abs(p_meas(:, f_bin)), abs(p_meas(:, f_bin)));
ax.Title.String = str_f;
if exist('params.mat', 'file')
    var_info = who('-file', 'params.mat');
    if ismember('cmap', var_info)
        load('params.mat', 'cmap');
        colormap(ax, cmap);
    end
end

if exist('params.mat', 'file')
    load('params.mat', 'caxlims');
    caxis(caxlims);
end

axis equal;
axlim = plot_extent(x, y, z);
ax.XLim = [-axlim axlim];
ax.YLim = [-axlim axlim];
ax.ZLim = [-axlim axlim];
campos([1, 1, 1]);

end