function [x, y, z, freqs, p_meas] = read_measurements(data_dir)
% Read speaker measurement data from measurement files:
%  'coordinates.csv'
%  'frequencies.csv'
%  'measurements.csv'
%
if nargin == 0
    data_dir = strcat('.', filesep);
else
    if ~exist(data_dir, 'dir')
        error(strcat('Data directory "', data_dir, '" not found.'));
    end
end
coords = csvread(strcat(data_dir, filesep, 'coordinates.csv'));
x = coords(:, 1)';
y = coords(:, 2)';
z = coords(:, 3)';
freqs = csvread(strcat(data_dir, filesep, 'frequencies.csv'));
p_meas = csvread(strcat(data_dir, filesep, 'measurements.csv'));
end